> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tikfly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Trending Keyword

> Get Trending Keyword



## OpenAPI

````yaml /api-reference/openapi.json get /api/trending/keyword
openapi: 3.1.0
info:
  title: Tikfly API - Unoffical Tiktok API
  description: >-
    Tikfly API Documentation - Unoffical Tiktok API for scalable access without
    the usual limitations
  version: 1.0.0
servers:
  - url: https://tiktok-api23.p.rapidapi.com
    description: RapidAPI
security: []
paths:
  /api/trending/keyword:
    get:
      tags:
        - Trending
      summary: Get Trending Keyword
      description: Get Trending Keyword
      operationId: getApiTrendingKeyword
      parameters:
        - in: query
          name: page
          schema:
            type: integer
            exclusiveMinimum: 0
            default: 1
            description: Page
            example: 1
        - in: query
          name: limit
          schema:
            type: integer
            exclusiveMinimum: 0
            default: 20
            description: Number of items per page (maximum is 20)
            example: 20
            maximum: 20
        - in: query
          name: period
          schema:
            type: number
            default: 7
            description: |2-

                      Period in days:
                      - 7: Last 7 days
                      - 30: Last 30 days
                      - 120: Last 120 days
                      
            enum:
              - 7
              - 30
              - 120
            example: 7
        - in: query
          name: country
          schema:
            type: string
            description: >-
              Country code. Head
              [here](https://gist.githubusercontent.com/apiboxguru/21d1cff1bef7732d9533389cb540541f/raw/6669d1e0025b67e8c7a0a1649cd8c75c5d5d2803/tiktok_trending_support_countries_with_codes.json)
              for a full list of supported countries
            default: US
            example: US
        - in: query
          name: industry
          schema:
            type: string
            description: >-
              Head to
              [here](https://gist.githubusercontent.com/apiboxguru/d36908ea2bbe307e81bcc09ccf59616b/raw/302b5a442df9a6efced1dc430fd64d10a8226aeb/tiktok-ads-industry-code.json)
              for a full list of Industry code. You can combine multiple
              industries by using a comma. For example: 22102000000,22101000000
        - in: query
          name: objective
          schema:
            type: string
            description: |2-

                      Objective:
                      - 1: Traffic
                      - 2: App Installs
                      - 3: Conversions
                      - 4: Video Views
                      - 5: Reach
                      - 8: Lead Generation
                      - 14: Product Sales

                      You can combine multiple objectives by using a comma. For example: 1,2
                    
            enum:
              - '1'
              - '2'
              - '3'
              - '4'
              - '5'
              - '8'
              - '14'
        - in: query
          name: keyword_type
          schema:
            type: string
            description: |2-

                      Objective:
                      - 1: Selling points
                      - 2: Pain points
                      - 3: Target audience
                      - 4: Call-to-action
                      - 5: Other
                      - 6: Products

                      You can combine multiple objectives by using a comma. For example: 1,2
                    
            enum:
              - '1'
              - '2'
              - '3'
              - '4'
              - '5'
              - '6'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          has_more:
                            type: boolean
                            description: ''
                            example: true
                          page:
                            type: number
                            description: ''
                            example: 1
                          size:
                            type: number
                            description: ''
                            example: 20
                          total_count:
                            type: number
                            description: ''
                            example: 500
                      keyword_list:
                        type: array
                        items:
                          type: object
                          properties:
                            comment:
                              type: number
                              description: ''
                              example: 2000
                            cost:
                              type: number
                              description: ''
                              example: 272000
                            cpa:
                              type: number
                              description: ''
                              example: 9.93
                            ctr:
                              type: number
                              description: ''
                              example: 1.71
                            cvr:
                              type: number
                              description: ''
                              example: 11.24
                            impression:
                              type: number
                              description: ''
                              example: 31800000
                            keyword:
                              type: string
                              description: ''
                              example: christmas
                            like:
                              type: number
                              description: ''
                              example: 127005
                            play_six_rate:
                              type: number
                              description: ''
                              example: 11.45
                            post:
                              type: number
                              description: ''
                              example: 31900
                            post_change:
                              type: number
                              description: ''
                              example: 111.83
                            share:
                              type: number
                              description: ''
                              example: 4038
                            video_list:
                              type: array
                              items:
                                type: string
                              description: ''
                              example:
                                - '7578816747088661791'
                                - '7576793446401314065'
                                - '7578693746087234846'
                                - '7559636960327896375'
                                - '7570571645098757389'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: >-
        Rapid API Key. [How can I get Rapid API
        Key?](https://docs.tikfly.io/getting-started/quickstart)

````